Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Value_Ptr.h File Reference

`#include "ace/config-lite.h"`
`#include <algorithm>`

Include dependency graph for Value_Ptr.h:

## Namespaces
namespace | ACE
## Classes
struct | ACE::VP_traits< T >
| `Value_Ptr` traits template structure. More...
class | ACE::Value_Ptr< T >
| Smart pointer implementation designed for use as a class member. More...

## Detailed Description

Id
  Value_Ptr.h,v 4.9 2005/11/27 12:11:35 ossama Exp

Value_Ptr implementation based on code in Herb Sutter's book "More Exceptional C++".

Author:
  Ossama Othman <ossama@dre.vanderbilt.edu>